function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = _interopDefault(require('react'));

var styles = {"test":"_3ybTi"};

var CurrencyFormatter = function CurrencyFormatter(_ref) {
  var value = _ref.value,
      _ref$currency = _ref.currency,
      currency = _ref$currency === void 0 ? 'USD' : _ref$currency,
      _ref$thousandSeparato = _ref.thousandSeparator,
      thousandSeparator = _ref$thousandSeparato === void 0 ? true : _ref$thousandSeparato,
      _ref$isFloat = _ref.isFloat,
      isFloat = _ref$isFloat === void 0 ? false : _ref$isFloat;

  var setCurrencyCode = function setCurrencyCode(code) {
    switch (code) {
      case 'INR':
        return '₹';

      case 'GBP':
        return '£';

      case 'EUR':
        return '€';

      case 'LKR':
        return 'Rs';

      case 'JPY':
        return '¥';

      case 'CNY':
        return '¥';

      case 'THB':
        return '฿';

      case 'ZAR':
        return 'R';

      default:
        return '$';
    }
  };

  var formatIntValue = function formatIntValue(value, isThouSep) {
    if (value > 999) {
      var strVal = value.toString().split('');
      var defaultSepInd = strVal.length - 3;
      var sepGap = isThouSep ? 3 : 2;
      strVal.splice(defaultSepInd, 0, ',');

      for (var i = defaultSepInd - sepGap; i > 0; i = i - sepGap) {
        strVal.splice(i, 0, ',');
      }

      return strVal.join('');
    } else if (value < -999) {
      var _strVal = value.toString().replace('-', '').split('');

      var _defaultSepInd = _strVal.length - 3;

      var _sepGap = isThouSep ? 3 : 2;

      _strVal.splice(_defaultSepInd, 0, ',');

      for (var _i = _defaultSepInd - _sepGap; _i > 0; _i = _i - _sepGap) {
        _strVal.splice(_i, 0, ',');
      }

      _strVal.unshift('-');

      return _strVal.join('');
    } else {
      return value;
    }
  };

  var formatFloatValue = function formatFloatValue(value, thousandSeparator) {
    var _value$toString$split = value.toString().split('.'),
        intValue = _value$toString$split[0],
        decimal = _value$toString$split[1];

    var intPart = formatIntValue(intValue, thousandSeparator);
    return intPart + '.' + decimal;
  };

  var isUndefined = function isUndefined(value) {
    return typeof value === 'undefined';
  };

  var formattedCurrency = !isNaN(parseInt(value)) ? setCurrencyCode(currency) + ' ' + (isUndefined(value) ? 0 : isFloat ? formatFloatValue(value, thousandSeparator) : formatIntValue(value, thousandSeparator)) : '';
  return /*#__PURE__*/React.createElement("div", {
    className: styles.test
  }, formattedCurrency);
};

module.exports = CurrencyFormatter;
//# sourceMappingURL=index.js.map
